<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.auto.WindturbineanalysisdayMapper">
<!--  <cache type="org.mybatis.caches.ehcache.EhcacheCache">-->
<!--    <property name="timeToIdleSeconds" value="60"></property>&lt;!&ndash;&lt;!&ndash;当缓存闲置60秒后销毁&ndash;&gt;&ndash;&gt;-->
<!--    <property name="timeToLiveSeconds" value="160"></property>&lt;!&ndash;&lt;!&ndash;缓存存在160秒后销毁&ndash;&gt;&ndash;&gt;-->
<!--    <property name="maxEntriesLocalHeap" value="1000"></property>-->
<!--    <property name="maxEntriesLocalDisk" value="10000000"></property>-->
<!--    <property name="memoryStoreEvictionPolicy" value="LRU"></property>-->
<!--  </cache>-->
  <resultMap id="BaseResultMap" type="com.gyee.frame.model.auto.Windturbineanalysisday">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="windturbineId" jdbcType="VARCHAR" property="windturbineid" />
    <result column="recordDate" jdbcType="TIMESTAMP" property="recorddate" />
    <result column="c1" jdbcType="DECIMAL" property="c1" />
    <result column="c2" jdbcType="DECIMAL" property="c2" />
    <result column="c3" jdbcType="DECIMAL" property="c3" />
    <result column="c4" jdbcType="DECIMAL" property="c4" />
    <result column="c5" jdbcType="DECIMAL" property="c5" />
    <result column="c6" jdbcType="DECIMAL" property="c6" />
    <result column="c7" jdbcType="DECIMAL" property="c7" />
    <result column="c8" jdbcType="DECIMAL" property="c8" />
    <result column="c9" jdbcType="DECIMAL" property="c9" />
    <result column="c10" jdbcType="DECIMAL" property="c10" />
    <result column="c11" jdbcType="DECIMAL" property="c11" />
    <result column="c12" jdbcType="DECIMAL" property="c12" />
    <result column="c13" jdbcType="DECIMAL" property="c13" />
    <result column="c14" jdbcType="DECIMAL" property="c14" />
    <result column="c15" jdbcType="DECIMAL" property="c15" />
    <result column="c16" jdbcType="DECIMAL" property="c16" />
    <result column="c17" jdbcType="DECIMAL" property="c17" />
    <result column="c18" jdbcType="DECIMAL" property="c18" />
    <result column="c19" jdbcType="DECIMAL" property="c19" />
    <result column="c20" jdbcType="DECIMAL" property="c20" />
    <result column="c21" jdbcType="DECIMAL" property="c21" />
    <result column="c22" jdbcType="DECIMAL" property="c22" />
    <result column="c23" jdbcType="DECIMAL" property="c23" />
    <result column="c24" jdbcType="DECIMAL" property="c24" />
    <result column="c25" jdbcType="DECIMAL" property="c25" />
    <result column="c26" jdbcType="DECIMAL" property="c26" />
    <result column="c27" jdbcType="DECIMAL" property="c27" />
    <result column="c28" jdbcType="DECIMAL" property="c28" />
    <result column="c29" jdbcType="DECIMAL" property="c29" />
    <result column="c30" jdbcType="DECIMAL" property="c30" />
    <result column="c31" jdbcType="DECIMAL" property="c31" />
    <result column="c32" jdbcType="DECIMAL" property="c32" />
    <result column="c33" jdbcType="DECIMAL" property="c33" />
    <result column="c34" jdbcType="DECIMAL" property="c34" />
    <result column="c35" jdbcType="DECIMAL" property="c35" />
    <result column="c36" jdbcType="DECIMAL" property="c36" />
    <result column="c37" jdbcType="DECIMAL" property="c37" />
    <result column="c38" jdbcType="DECIMAL" property="c38" />
    <result column="c39" jdbcType="DECIMAL" property="c39" />
    <result column="c40" jdbcType="DECIMAL" property="c40" />
    <result column="c41" jdbcType="DECIMAL" property="c41" />
    <result column="c42" jdbcType="DECIMAL" property="c42" />
    <result column="c43" jdbcType="DECIMAL" property="c43" />
    <result column="c44" jdbcType="DECIMAL" property="c44" />
    <result column="c45" jdbcType="DECIMAL" property="c45" />
    <result column="c46" jdbcType="DECIMAL" property="c46" />
    <result column="c47" jdbcType="DECIMAL" property="c47" />
    <result column="c48" jdbcType="DECIMAL" property="c48" />
    <result column="c49" jdbcType="DECIMAL" property="c49" />
    <result column="c50" jdbcType="DECIMAL" property="c50" />
    <result column="c51" jdbcType="DECIMAL" property="c51" />
    <result column="c52" jdbcType="DECIMAL" property="c52" />
    <result column="c53" jdbcType="DECIMAL" property="c53" />
    <result column="c54" jdbcType="DECIMAL" property="c54" />
    <result column="c55" jdbcType="DECIMAL" property="c55" />
    <result column="c56" jdbcType="DECIMAL" property="c56" />
    <result column="c57" jdbcType="DECIMAL" property="c57" />
    <result column="c58" jdbcType="DECIMAL" property="c58" />
    <result column="c59" jdbcType="DECIMAL" property="c59" />
    <result column="c60" jdbcType="DECIMAL" property="c60" />
  </resultMap>
  <sql id="Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="example.oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    id, windturbineId, recordDate, c1, c2, c3, c4, c5, c6, c7, c8, c9, c10, c11, c12, 
    c13, c14, c15, c16, c17, c18, c19, c20, c21, c22, c23, c24, c25, c26, c27, c28, c29, 
    c30, c31, c32, c33, c34, c35, c36, c37, c38, c39, c40, c41, c42, c43, c44, c45, c46, 
    c47, c48, c49, c50, c51, c52, c53, c54, c55, c56, c57, c58, c59, c60
  </sql>
  <select id="selectByExample" parameterType="com.gyee.frame.model.auto.WindturbineanalysisdayExample" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select
    <if test="distinct">
      distinct
    </if>
    <include refid="Base_Column_List" />
    from windturbineanalysisday
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
  </select>
  <select id="selectByPrimaryKey" parameterType="java.lang.Integer" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select 
    <include refid="Base_Column_List" />
    from windturbineanalysisday
    where id = #{id,jdbcType=INTEGER}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from windturbineanalysisday
    where id = #{id,jdbcType=INTEGER}
  </delete>
  <delete id="deleteByExample" parameterType="com.gyee.frame.model.auto.WindturbineanalysisdayExample">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from windturbineanalysisday
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </delete>
  <insert id="insert" parameterType="com.gyee.frame.model.auto.Windturbineanalysisday">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into windturbineanalysisday (id, windturbineId, recordDate, 
      c1, c2, c3, c4, 
      c5, c6, c7, c8, 
      c9, c10, c11, c12, 
      c13, c14, c15, c16, 
      c17, c18, c19, c20, 
      c21, c22, c23, c24, 
      c25, c26, c27, c28, 
      c29, c30, c31, c32, 
      c33, c34, c35, c36, 
      c37, c38, c39, c40, 
      c41, c42, c43, c44, 
      c45, c46, c47, c48, 
      c49, c50, c51, c52, 
      c53, c54, c55, c56, 
      c57, c58, c59, c60
      )
    values (#{id,jdbcType=INTEGER}, #{windturbineid,jdbcType=VARCHAR}, #{recorddate,jdbcType=TIMESTAMP}, 
      #{c1,jdbcType=DECIMAL}, #{c2,jdbcType=DECIMAL}, #{c3,jdbcType=DECIMAL}, #{c4,jdbcType=DECIMAL}, 
      #{c5,jdbcType=DECIMAL}, #{c6,jdbcType=DECIMAL}, #{c7,jdbcType=DECIMAL}, #{c8,jdbcType=DECIMAL}, 
      #{c9,jdbcType=DECIMAL}, #{c10,jdbcType=DECIMAL}, #{c11,jdbcType=DECIMAL}, #{c12,jdbcType=DECIMAL}, 
      #{c13,jdbcType=DECIMAL}, #{c14,jdbcType=DECIMAL}, #{c15,jdbcType=DECIMAL}, #{c16,jdbcType=DECIMAL}, 
      #{c17,jdbcType=DECIMAL}, #{c18,jdbcType=DECIMAL}, #{c19,jdbcType=DECIMAL}, #{c20,jdbcType=DECIMAL}, 
      #{c21,jdbcType=DECIMAL}, #{c22,jdbcType=DECIMAL}, #{c23,jdbcType=DECIMAL}, #{c24,jdbcType=DECIMAL}, 
      #{c25,jdbcType=DECIMAL}, #{c26,jdbcType=DECIMAL}, #{c27,jdbcType=DECIMAL}, #{c28,jdbcType=DECIMAL}, 
      #{c29,jdbcType=DECIMAL}, #{c30,jdbcType=DECIMAL}, #{c31,jdbcType=DECIMAL}, #{c32,jdbcType=DECIMAL}, 
      #{c33,jdbcType=DECIMAL}, #{c34,jdbcType=DECIMAL}, #{c35,jdbcType=DECIMAL}, #{c36,jdbcType=DECIMAL}, 
      #{c37,jdbcType=DECIMAL}, #{c38,jdbcType=DECIMAL}, #{c39,jdbcType=DECIMAL}, #{c40,jdbcType=DECIMAL}, 
      #{c41,jdbcType=DECIMAL}, #{c42,jdbcType=DECIMAL}, #{c43,jdbcType=DECIMAL}, #{c44,jdbcType=DECIMAL}, 
      #{c45,jdbcType=DECIMAL}, #{c46,jdbcType=DECIMAL}, #{c47,jdbcType=DECIMAL}, #{c48,jdbcType=DECIMAL}, 
      #{c49,jdbcType=DECIMAL}, #{c50,jdbcType=DECIMAL}, #{c51,jdbcType=DECIMAL}, #{c52,jdbcType=DECIMAL}, 
      #{c53,jdbcType=DECIMAL}, #{c54,jdbcType=DECIMAL}, #{c55,jdbcType=DECIMAL}, #{c56,jdbcType=DECIMAL}, 
      #{c57,jdbcType=DECIMAL}, #{c58,jdbcType=DECIMAL}, #{c59,jdbcType=DECIMAL}, #{c60,jdbcType=DECIMAL}
      )
  </insert>
  <insert id="insertSelective" parameterType="com.gyee.frame.model.auto.Windturbineanalysisday">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into windturbineanalysisday
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        id,
      </if>
      <if test="windturbineid != null">
        windturbineId,
      </if>
      <if test="recorddate != null">
        recordDate,
      </if>
      <if test="c1 != null">
        c1,
      </if>
      <if test="c2 != null">
        c2,
      </if>
      <if test="c3 != null">
        c3,
      </if>
      <if test="c4 != null">
        c4,
      </if>
      <if test="c5 != null">
        c5,
      </if>
      <if test="c6 != null">
        c6,
      </if>
      <if test="c7 != null">
        c7,
      </if>
      <if test="c8 != null">
        c8,
      </if>
      <if test="c9 != null">
        c9,
      </if>
      <if test="c10 != null">
        c10,
      </if>
      <if test="c11 != null">
        c11,
      </if>
      <if test="c12 != null">
        c12,
      </if>
      <if test="c13 != null">
        c13,
      </if>
      <if test="c14 != null">
        c14,
      </if>
      <if test="c15 != null">
        c15,
      </if>
      <if test="c16 != null">
        c16,
      </if>
      <if test="c17 != null">
        c17,
      </if>
      <if test="c18 != null">
        c18,
      </if>
      <if test="c19 != null">
        c19,
      </if>
      <if test="c20 != null">
        c20,
      </if>
      <if test="c21 != null">
        c21,
      </if>
      <if test="c22 != null">
        c22,
      </if>
      <if test="c23 != null">
        c23,
      </if>
      <if test="c24 != null">
        c24,
      </if>
      <if test="c25 != null">
        c25,
      </if>
      <if test="c26 != null">
        c26,
      </if>
      <if test="c27 != null">
        c27,
      </if>
      <if test="c28 != null">
        c28,
      </if>
      <if test="c29 != null">
        c29,
      </if>
      <if test="c30 != null">
        c30,
      </if>
      <if test="c31 != null">
        c31,
      </if>
      <if test="c32 != null">
        c32,
      </if>
      <if test="c33 != null">
        c33,
      </if>
      <if test="c34 != null">
        c34,
      </if>
      <if test="c35 != null">
        c35,
      </if>
      <if test="c36 != null">
        c36,
      </if>
      <if test="c37 != null">
        c37,
      </if>
      <if test="c38 != null">
        c38,
      </if>
      <if test="c39 != null">
        c39,
      </if>
      <if test="c40 != null">
        c40,
      </if>
      <if test="c41 != null">
        c41,
      </if>
      <if test="c42 != null">
        c42,
      </if>
      <if test="c43 != null">
        c43,
      </if>
      <if test="c44 != null">
        c44,
      </if>
      <if test="c45 != null">
        c45,
      </if>
      <if test="c46 != null">
        c46,
      </if>
      <if test="c47 != null">
        c47,
      </if>
      <if test="c48 != null">
        c48,
      </if>
      <if test="c49 != null">
        c49,
      </if>
      <if test="c50 != null">
        c50,
      </if>
      <if test="c51 != null">
        c51,
      </if>
      <if test="c52 != null">
        c52,
      </if>
      <if test="c53 != null">
        c53,
      </if>
      <if test="c54 != null">
        c54,
      </if>
      <if test="c55 != null">
        c55,
      </if>
      <if test="c56 != null">
        c56,
      </if>
      <if test="c57 != null">
        c57,
      </if>
      <if test="c58 != null">
        c58,
      </if>
      <if test="c59 != null">
        c59,
      </if>
      <if test="c60 != null">
        c60,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="id != null">
        #{id,jdbcType=INTEGER},
      </if>
      <if test="windturbineid != null">
        #{windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="recorddate != null">
        #{recorddate,jdbcType=TIMESTAMP},
      </if>
      <if test="c1 != null">
        #{c1,jdbcType=DECIMAL},
      </if>
      <if test="c2 != null">
        #{c2,jdbcType=DECIMAL},
      </if>
      <if test="c3 != null">
        #{c3,jdbcType=DECIMAL},
      </if>
      <if test="c4 != null">
        #{c4,jdbcType=DECIMAL},
      </if>
      <if test="c5 != null">
        #{c5,jdbcType=DECIMAL},
      </if>
      <if test="c6 != null">
        #{c6,jdbcType=DECIMAL},
      </if>
      <if test="c7 != null">
        #{c7,jdbcType=DECIMAL},
      </if>
      <if test="c8 != null">
        #{c8,jdbcType=DECIMAL},
      </if>
      <if test="c9 != null">
        #{c9,jdbcType=DECIMAL},
      </if>
      <if test="c10 != null">
        #{c10,jdbcType=DECIMAL},
      </if>
      <if test="c11 != null">
        #{c11,jdbcType=DECIMAL},
      </if>
      <if test="c12 != null">
        #{c12,jdbcType=DECIMAL},
      </if>
      <if test="c13 != null">
        #{c13,jdbcType=DECIMAL},
      </if>
      <if test="c14 != null">
        #{c14,jdbcType=DECIMAL},
      </if>
      <if test="c15 != null">
        #{c15,jdbcType=DECIMAL},
      </if>
      <if test="c16 != null">
        #{c16,jdbcType=DECIMAL},
      </if>
      <if test="c17 != null">
        #{c17,jdbcType=DECIMAL},
      </if>
      <if test="c18 != null">
        #{c18,jdbcType=DECIMAL},
      </if>
      <if test="c19 != null">
        #{c19,jdbcType=DECIMAL},
      </if>
      <if test="c20 != null">
        #{c20,jdbcType=DECIMAL},
      </if>
      <if test="c21 != null">
        #{c21,jdbcType=DECIMAL},
      </if>
      <if test="c22 != null">
        #{c22,jdbcType=DECIMAL},
      </if>
      <if test="c23 != null">
        #{c23,jdbcType=DECIMAL},
      </if>
      <if test="c24 != null">
        #{c24,jdbcType=DECIMAL},
      </if>
      <if test="c25 != null">
        #{c25,jdbcType=DECIMAL},
      </if>
      <if test="c26 != null">
        #{c26,jdbcType=DECIMAL},
      </if>
      <if test="c27 != null">
        #{c27,jdbcType=DECIMAL},
      </if>
      <if test="c28 != null">
        #{c28,jdbcType=DECIMAL},
      </if>
      <if test="c29 != null">
        #{c29,jdbcType=DECIMAL},
      </if>
      <if test="c30 != null">
        #{c30,jdbcType=DECIMAL},
      </if>
      <if test="c31 != null">
        #{c31,jdbcType=DECIMAL},
      </if>
      <if test="c32 != null">
        #{c32,jdbcType=DECIMAL},
      </if>
      <if test="c33 != null">
        #{c33,jdbcType=DECIMAL},
      </if>
      <if test="c34 != null">
        #{c34,jdbcType=DECIMAL},
      </if>
      <if test="c35 != null">
        #{c35,jdbcType=DECIMAL},
      </if>
      <if test="c36 != null">
        #{c36,jdbcType=DECIMAL},
      </if>
      <if test="c37 != null">
        #{c37,jdbcType=DECIMAL},
      </if>
      <if test="c38 != null">
        #{c38,jdbcType=DECIMAL},
      </if>
      <if test="c39 != null">
        #{c39,jdbcType=DECIMAL},
      </if>
      <if test="c40 != null">
        #{c40,jdbcType=DECIMAL},
      </if>
      <if test="c41 != null">
        #{c41,jdbcType=DECIMAL},
      </if>
      <if test="c42 != null">
        #{c42,jdbcType=DECIMAL},
      </if>
      <if test="c43 != null">
        #{c43,jdbcType=DECIMAL},
      </if>
      <if test="c44 != null">
        #{c44,jdbcType=DECIMAL},
      </if>
      <if test="c45 != null">
        #{c45,jdbcType=DECIMAL},
      </if>
      <if test="c46 != null">
        #{c46,jdbcType=DECIMAL},
      </if>
      <if test="c47 != null">
        #{c47,jdbcType=DECIMAL},
      </if>
      <if test="c48 != null">
        #{c48,jdbcType=DECIMAL},
      </if>
      <if test="c49 != null">
        #{c49,jdbcType=DECIMAL},
      </if>
      <if test="c50 != null">
        #{c50,jdbcType=DECIMAL},
      </if>
      <if test="c51 != null">
        #{c51,jdbcType=DECIMAL},
      </if>
      <if test="c52 != null">
        #{c52,jdbcType=DECIMAL},
      </if>
      <if test="c53 != null">
        #{c53,jdbcType=DECIMAL},
      </if>
      <if test="c54 != null">
        #{c54,jdbcType=DECIMAL},
      </if>
      <if test="c55 != null">
        #{c55,jdbcType=DECIMAL},
      </if>
      <if test="c56 != null">
        #{c56,jdbcType=DECIMAL},
      </if>
      <if test="c57 != null">
        #{c57,jdbcType=DECIMAL},
      </if>
      <if test="c58 != null">
        #{c58,jdbcType=DECIMAL},
      </if>
      <if test="c59 != null">
        #{c59,jdbcType=DECIMAL},
      </if>
      <if test="c60 != null">
        #{c60,jdbcType=DECIMAL},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.gyee.frame.model.auto.WindturbineanalysisdayExample" resultType="java.lang.Long">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select count(*) from windturbineanalysisday
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByExampleSelective" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbineanalysisday
    <set>
      <if test="record.id != null">
        id = #{record.id,jdbcType=INTEGER},
      </if>
      <if test="record.windturbineid != null">
        windturbineId = #{record.windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="record.recorddate != null">
        recordDate = #{record.recorddate,jdbcType=TIMESTAMP},
      </if>
      <if test="record.c1 != null">
        c1 = #{record.c1,jdbcType=DECIMAL},
      </if>
      <if test="record.c2 != null">
        c2 = #{record.c2,jdbcType=DECIMAL},
      </if>
      <if test="record.c3 != null">
        c3 = #{record.c3,jdbcType=DECIMAL},
      </if>
      <if test="record.c4 != null">
        c4 = #{record.c4,jdbcType=DECIMAL},
      </if>
      <if test="record.c5 != null">
        c5 = #{record.c5,jdbcType=DECIMAL},
      </if>
      <if test="record.c6 != null">
        c6 = #{record.c6,jdbcType=DECIMAL},
      </if>
      <if test="record.c7 != null">
        c7 = #{record.c7,jdbcType=DECIMAL},
      </if>
      <if test="record.c8 != null">
        c8 = #{record.c8,jdbcType=DECIMAL},
      </if>
      <if test="record.c9 != null">
        c9 = #{record.c9,jdbcType=DECIMAL},
      </if>
      <if test="record.c10 != null">
        c10 = #{record.c10,jdbcType=DECIMAL},
      </if>
      <if test="record.c11 != null">
        c11 = #{record.c11,jdbcType=DECIMAL},
      </if>
      <if test="record.c12 != null">
        c12 = #{record.c12,jdbcType=DECIMAL},
      </if>
      <if test="record.c13 != null">
        c13 = #{record.c13,jdbcType=DECIMAL},
      </if>
      <if test="record.c14 != null">
        c14 = #{record.c14,jdbcType=DECIMAL},
      </if>
      <if test="record.c15 != null">
        c15 = #{record.c15,jdbcType=DECIMAL},
      </if>
      <if test="record.c16 != null">
        c16 = #{record.c16,jdbcType=DECIMAL},
      </if>
      <if test="record.c17 != null">
        c17 = #{record.c17,jdbcType=DECIMAL},
      </if>
      <if test="record.c18 != null">
        c18 = #{record.c18,jdbcType=DECIMAL},
      </if>
      <if test="record.c19 != null">
        c19 = #{record.c19,jdbcType=DECIMAL},
      </if>
      <if test="record.c20 != null">
        c20 = #{record.c20,jdbcType=DECIMAL},
      </if>
      <if test="record.c21 != null">
        c21 = #{record.c21,jdbcType=DECIMAL},
      </if>
      <if test="record.c22 != null">
        c22 = #{record.c22,jdbcType=DECIMAL},
      </if>
      <if test="record.c23 != null">
        c23 = #{record.c23,jdbcType=DECIMAL},
      </if>
      <if test="record.c24 != null">
        c24 = #{record.c24,jdbcType=DECIMAL},
      </if>
      <if test="record.c25 != null">
        c25 = #{record.c25,jdbcType=DECIMAL},
      </if>
      <if test="record.c26 != null">
        c26 = #{record.c26,jdbcType=DECIMAL},
      </if>
      <if test="record.c27 != null">
        c27 = #{record.c27,jdbcType=DECIMAL},
      </if>
      <if test="record.c28 != null">
        c28 = #{record.c28,jdbcType=DECIMAL},
      </if>
      <if test="record.c29 != null">
        c29 = #{record.c29,jdbcType=DECIMAL},
      </if>
      <if test="record.c30 != null">
        c30 = #{record.c30,jdbcType=DECIMAL},
      </if>
      <if test="record.c31 != null">
        c31 = #{record.c31,jdbcType=DECIMAL},
      </if>
      <if test="record.c32 != null">
        c32 = #{record.c32,jdbcType=DECIMAL},
      </if>
      <if test="record.c33 != null">
        c33 = #{record.c33,jdbcType=DECIMAL},
      </if>
      <if test="record.c34 != null">
        c34 = #{record.c34,jdbcType=DECIMAL},
      </if>
      <if test="record.c35 != null">
        c35 = #{record.c35,jdbcType=DECIMAL},
      </if>
      <if test="record.c36 != null">
        c36 = #{record.c36,jdbcType=DECIMAL},
      </if>
      <if test="record.c37 != null">
        c37 = #{record.c37,jdbcType=DECIMAL},
      </if>
      <if test="record.c38 != null">
        c38 = #{record.c38,jdbcType=DECIMAL},
      </if>
      <if test="record.c39 != null">
        c39 = #{record.c39,jdbcType=DECIMAL},
      </if>
      <if test="record.c40 != null">
        c40 = #{record.c40,jdbcType=DECIMAL},
      </if>
      <if test="record.c41 != null">
        c41 = #{record.c41,jdbcType=DECIMAL},
      </if>
      <if test="record.c42 != null">
        c42 = #{record.c42,jdbcType=DECIMAL},
      </if>
      <if test="record.c43 != null">
        c43 = #{record.c43,jdbcType=DECIMAL},
      </if>
      <if test="record.c44 != null">
        c44 = #{record.c44,jdbcType=DECIMAL},
      </if>
      <if test="record.c45 != null">
        c45 = #{record.c45,jdbcType=DECIMAL},
      </if>
      <if test="record.c46 != null">
        c46 = #{record.c46,jdbcType=DECIMAL},
      </if>
      <if test="record.c47 != null">
        c47 = #{record.c47,jdbcType=DECIMAL},
      </if>
      <if test="record.c48 != null">
        c48 = #{record.c48,jdbcType=DECIMAL},
      </if>
      <if test="record.c49 != null">
        c49 = #{record.c49,jdbcType=DECIMAL},
      </if>
      <if test="record.c50 != null">
        c50 = #{record.c50,jdbcType=DECIMAL},
      </if>
      <if test="record.c51 != null">
        c51 = #{record.c51,jdbcType=DECIMAL},
      </if>
      <if test="record.c52 != null">
        c52 = #{record.c52,jdbcType=DECIMAL},
      </if>
      <if test="record.c53 != null">
        c53 = #{record.c53,jdbcType=DECIMAL},
      </if>
      <if test="record.c54 != null">
        c54 = #{record.c54,jdbcType=DECIMAL},
      </if>
      <if test="record.c55 != null">
        c55 = #{record.c55,jdbcType=DECIMAL},
      </if>
      <if test="record.c56 != null">
        c56 = #{record.c56,jdbcType=DECIMAL},
      </if>
      <if test="record.c57 != null">
        c57 = #{record.c57,jdbcType=DECIMAL},
      </if>
      <if test="record.c58 != null">
        c58 = #{record.c58,jdbcType=DECIMAL},
      </if>
      <if test="record.c59 != null">
        c59 = #{record.c59,jdbcType=DECIMAL},
      </if>
      <if test="record.c60 != null">
        c60 = #{record.c60,jdbcType=DECIMAL},
      </if>
    </set>
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExample" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbineanalysisday
    set id = #{record.id,jdbcType=INTEGER},
      windturbineId = #{record.windturbineid,jdbcType=VARCHAR},
      recordDate = #{record.recorddate,jdbcType=TIMESTAMP},
      c1 = #{record.c1,jdbcType=DECIMAL},
      c2 = #{record.c2,jdbcType=DECIMAL},
      c3 = #{record.c3,jdbcType=DECIMAL},
      c4 = #{record.c4,jdbcType=DECIMAL},
      c5 = #{record.c5,jdbcType=DECIMAL},
      c6 = #{record.c6,jdbcType=DECIMAL},
      c7 = #{record.c7,jdbcType=DECIMAL},
      c8 = #{record.c8,jdbcType=DECIMAL},
      c9 = #{record.c9,jdbcType=DECIMAL},
      c10 = #{record.c10,jdbcType=DECIMAL},
      c11 = #{record.c11,jdbcType=DECIMAL},
      c12 = #{record.c12,jdbcType=DECIMAL},
      c13 = #{record.c13,jdbcType=DECIMAL},
      c14 = #{record.c14,jdbcType=DECIMAL},
      c15 = #{record.c15,jdbcType=DECIMAL},
      c16 = #{record.c16,jdbcType=DECIMAL},
      c17 = #{record.c17,jdbcType=DECIMAL},
      c18 = #{record.c18,jdbcType=DECIMAL},
      c19 = #{record.c19,jdbcType=DECIMAL},
      c20 = #{record.c20,jdbcType=DECIMAL},
      c21 = #{record.c21,jdbcType=DECIMAL},
      c22 = #{record.c22,jdbcType=DECIMAL},
      c23 = #{record.c23,jdbcType=DECIMAL},
      c24 = #{record.c24,jdbcType=DECIMAL},
      c25 = #{record.c25,jdbcType=DECIMAL},
      c26 = #{record.c26,jdbcType=DECIMAL},
      c27 = #{record.c27,jdbcType=DECIMAL},
      c28 = #{record.c28,jdbcType=DECIMAL},
      c29 = #{record.c29,jdbcType=DECIMAL},
      c30 = #{record.c30,jdbcType=DECIMAL},
      c31 = #{record.c31,jdbcType=DECIMAL},
      c32 = #{record.c32,jdbcType=DECIMAL},
      c33 = #{record.c33,jdbcType=DECIMAL},
      c34 = #{record.c34,jdbcType=DECIMAL},
      c35 = #{record.c35,jdbcType=DECIMAL},
      c36 = #{record.c36,jdbcType=DECIMAL},
      c37 = #{record.c37,jdbcType=DECIMAL},
      c38 = #{record.c38,jdbcType=DECIMAL},
      c39 = #{record.c39,jdbcType=DECIMAL},
      c40 = #{record.c40,jdbcType=DECIMAL},
      c41 = #{record.c41,jdbcType=DECIMAL},
      c42 = #{record.c42,jdbcType=DECIMAL},
      c43 = #{record.c43,jdbcType=DECIMAL},
      c44 = #{record.c44,jdbcType=DECIMAL},
      c45 = #{record.c45,jdbcType=DECIMAL},
      c46 = #{record.c46,jdbcType=DECIMAL},
      c47 = #{record.c47,jdbcType=DECIMAL},
      c48 = #{record.c48,jdbcType=DECIMAL},
      c49 = #{record.c49,jdbcType=DECIMAL},
      c50 = #{record.c50,jdbcType=DECIMAL},
      c51 = #{record.c51,jdbcType=DECIMAL},
      c52 = #{record.c52,jdbcType=DECIMAL},
      c53 = #{record.c53,jdbcType=DECIMAL},
      c54 = #{record.c54,jdbcType=DECIMAL},
      c55 = #{record.c55,jdbcType=DECIMAL},
      c56 = #{record.c56,jdbcType=DECIMAL},
      c57 = #{record.c57,jdbcType=DECIMAL},
      c58 = #{record.c58,jdbcType=DECIMAL},
      c59 = #{record.c59,jdbcType=DECIMAL},
      c60 = #{record.c60,jdbcType=DECIMAL}
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByPrimaryKeySelective" parameterType="com.gyee.frame.model.auto.Windturbineanalysisday">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbineanalysisday
    <set>
      <if test="windturbineid != null">
        windturbineId = #{windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="recorddate != null">
        recordDate = #{recorddate,jdbcType=TIMESTAMP},
      </if>
      <if test="c1 != null">
        c1 = #{c1,jdbcType=DECIMAL},
      </if>
      <if test="c2 != null">
        c2 = #{c2,jdbcType=DECIMAL},
      </if>
      <if test="c3 != null">
        c3 = #{c3,jdbcType=DECIMAL},
      </if>
      <if test="c4 != null">
        c4 = #{c4,jdbcType=DECIMAL},
      </if>
      <if test="c5 != null">
        c5 = #{c5,jdbcType=DECIMAL},
      </if>
      <if test="c6 != null">
        c6 = #{c6,jdbcType=DECIMAL},
      </if>
      <if test="c7 != null">
        c7 = #{c7,jdbcType=DECIMAL},
      </if>
      <if test="c8 != null">
        c8 = #{c8,jdbcType=DECIMAL},
      </if>
      <if test="c9 != null">
        c9 = #{c9,jdbcType=DECIMAL},
      </if>
      <if test="c10 != null">
        c10 = #{c10,jdbcType=DECIMAL},
      </if>
      <if test="c11 != null">
        c11 = #{c11,jdbcType=DECIMAL},
      </if>
      <if test="c12 != null">
        c12 = #{c12,jdbcType=DECIMAL},
      </if>
      <if test="c13 != null">
        c13 = #{c13,jdbcType=DECIMAL},
      </if>
      <if test="c14 != null">
        c14 = #{c14,jdbcType=DECIMAL},
      </if>
      <if test="c15 != null">
        c15 = #{c15,jdbcType=DECIMAL},
      </if>
      <if test="c16 != null">
        c16 = #{c16,jdbcType=DECIMAL},
      </if>
      <if test="c17 != null">
        c17 = #{c17,jdbcType=DECIMAL},
      </if>
      <if test="c18 != null">
        c18 = #{c18,jdbcType=DECIMAL},
      </if>
      <if test="c19 != null">
        c19 = #{c19,jdbcType=DECIMAL},
      </if>
      <if test="c20 != null">
        c20 = #{c20,jdbcType=DECIMAL},
      </if>
      <if test="c21 != null">
        c21 = #{c21,jdbcType=DECIMAL},
      </if>
      <if test="c22 != null">
        c22 = #{c22,jdbcType=DECIMAL},
      </if>
      <if test="c23 != null">
        c23 = #{c23,jdbcType=DECIMAL},
      </if>
      <if test="c24 != null">
        c24 = #{c24,jdbcType=DECIMAL},
      </if>
      <if test="c25 != null">
        c25 = #{c25,jdbcType=DECIMAL},
      </if>
      <if test="c26 != null">
        c26 = #{c26,jdbcType=DECIMAL},
      </if>
      <if test="c27 != null">
        c27 = #{c27,jdbcType=DECIMAL},
      </if>
      <if test="c28 != null">
        c28 = #{c28,jdbcType=DECIMAL},
      </if>
      <if test="c29 != null">
        c29 = #{c29,jdbcType=DECIMAL},
      </if>
      <if test="c30 != null">
        c30 = #{c30,jdbcType=DECIMAL},
      </if>
      <if test="c31 != null">
        c31 = #{c31,jdbcType=DECIMAL},
      </if>
      <if test="c32 != null">
        c32 = #{c32,jdbcType=DECIMAL},
      </if>
      <if test="c33 != null">
        c33 = #{c33,jdbcType=DECIMAL},
      </if>
      <if test="c34 != null">
        c34 = #{c34,jdbcType=DECIMAL},
      </if>
      <if test="c35 != null">
        c35 = #{c35,jdbcType=DECIMAL},
      </if>
      <if test="c36 != null">
        c36 = #{c36,jdbcType=DECIMAL},
      </if>
      <if test="c37 != null">
        c37 = #{c37,jdbcType=DECIMAL},
      </if>
      <if test="c38 != null">
        c38 = #{c38,jdbcType=DECIMAL},
      </if>
      <if test="c39 != null">
        c39 = #{c39,jdbcType=DECIMAL},
      </if>
      <if test="c40 != null">
        c40 = #{c40,jdbcType=DECIMAL},
      </if>
      <if test="c41 != null">
        c41 = #{c41,jdbcType=DECIMAL},
      </if>
      <if test="c42 != null">
        c42 = #{c42,jdbcType=DECIMAL},
      </if>
      <if test="c43 != null">
        c43 = #{c43,jdbcType=DECIMAL},
      </if>
      <if test="c44 != null">
        c44 = #{c44,jdbcType=DECIMAL},
      </if>
      <if test="c45 != null">
        c45 = #{c45,jdbcType=DECIMAL},
      </if>
      <if test="c46 != null">
        c46 = #{c46,jdbcType=DECIMAL},
      </if>
      <if test="c47 != null">
        c47 = #{c47,jdbcType=DECIMAL},
      </if>
      <if test="c48 != null">
        c48 = #{c48,jdbcType=DECIMAL},
      </if>
      <if test="c49 != null">
        c49 = #{c49,jdbcType=DECIMAL},
      </if>
      <if test="c50 != null">
        c50 = #{c50,jdbcType=DECIMAL},
      </if>
      <if test="c51 != null">
        c51 = #{c51,jdbcType=DECIMAL},
      </if>
      <if test="c52 != null">
        c52 = #{c52,jdbcType=DECIMAL},
      </if>
      <if test="c53 != null">
        c53 = #{c53,jdbcType=DECIMAL},
      </if>
      <if test="c54 != null">
        c54 = #{c54,jdbcType=DECIMAL},
      </if>
      <if test="c55 != null">
        c55 = #{c55,jdbcType=DECIMAL},
      </if>
      <if test="c56 != null">
        c56 = #{c56,jdbcType=DECIMAL},
      </if>
      <if test="c57 != null">
        c57 = #{c57,jdbcType=DECIMAL},
      </if>
      <if test="c58 != null">
        c58 = #{c58,jdbcType=DECIMAL},
      </if>
      <if test="c59 != null">
        c59 = #{c59,jdbcType=DECIMAL},
      </if>
      <if test="c60 != null">
        c60 = #{c60,jdbcType=DECIMAL},
      </if>
    </set>
    where id = #{id,jdbcType=INTEGER}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.gyee.frame.model.auto.Windturbineanalysisday">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbineanalysisday
    set windturbineId = #{windturbineid,jdbcType=VARCHAR},
      recordDate = #{recorddate,jdbcType=TIMESTAMP},
      c1 = #{c1,jdbcType=DECIMAL},
      c2 = #{c2,jdbcType=DECIMAL},
      c3 = #{c3,jdbcType=DECIMAL},
      c4 = #{c4,jdbcType=DECIMAL},
      c5 = #{c5,jdbcType=DECIMAL},
      c6 = #{c6,jdbcType=DECIMAL},
      c7 = #{c7,jdbcType=DECIMAL},
      c8 = #{c8,jdbcType=DECIMAL},
      c9 = #{c9,jdbcType=DECIMAL},
      c10 = #{c10,jdbcType=DECIMAL},
      c11 = #{c11,jdbcType=DECIMAL},
      c12 = #{c12,jdbcType=DECIMAL},
      c13 = #{c13,jdbcType=DECIMAL},
      c14 = #{c14,jdbcType=DECIMAL},
      c15 = #{c15,jdbcType=DECIMAL},
      c16 = #{c16,jdbcType=DECIMAL},
      c17 = #{c17,jdbcType=DECIMAL},
      c18 = #{c18,jdbcType=DECIMAL},
      c19 = #{c19,jdbcType=DECIMAL},
      c20 = #{c20,jdbcType=DECIMAL},
      c21 = #{c21,jdbcType=DECIMAL},
      c22 = #{c22,jdbcType=DECIMAL},
      c23 = #{c23,jdbcType=DECIMAL},
      c24 = #{c24,jdbcType=DECIMAL},
      c25 = #{c25,jdbcType=DECIMAL},
      c26 = #{c26,jdbcType=DECIMAL},
      c27 = #{c27,jdbcType=DECIMAL},
      c28 = #{c28,jdbcType=DECIMAL},
      c29 = #{c29,jdbcType=DECIMAL},
      c30 = #{c30,jdbcType=DECIMAL},
      c31 = #{c31,jdbcType=DECIMAL},
      c32 = #{c32,jdbcType=DECIMAL},
      c33 = #{c33,jdbcType=DECIMAL},
      c34 = #{c34,jdbcType=DECIMAL},
      c35 = #{c35,jdbcType=DECIMAL},
      c36 = #{c36,jdbcType=DECIMAL},
      c37 = #{c37,jdbcType=DECIMAL},
      c38 = #{c38,jdbcType=DECIMAL},
      c39 = #{c39,jdbcType=DECIMAL},
      c40 = #{c40,jdbcType=DECIMAL},
      c41 = #{c41,jdbcType=DECIMAL},
      c42 = #{c42,jdbcType=DECIMAL},
      c43 = #{c43,jdbcType=DECIMAL},
      c44 = #{c44,jdbcType=DECIMAL},
      c45 = #{c45,jdbcType=DECIMAL},
      c46 = #{c46,jdbcType=DECIMAL},
      c47 = #{c47,jdbcType=DECIMAL},
      c48 = #{c48,jdbcType=DECIMAL},
      c49 = #{c49,jdbcType=DECIMAL},
      c50 = #{c50,jdbcType=DECIMAL},
      c51 = #{c51,jdbcType=DECIMAL},
      c52 = #{c52,jdbcType=DECIMAL},
      c53 = #{c53,jdbcType=DECIMAL},
      c54 = #{c54,jdbcType=DECIMAL},
      c55 = #{c55,jdbcType=DECIMAL},
      c56 = #{c56,jdbcType=DECIMAL},
      c57 = #{c57,jdbcType=DECIMAL},
      c58 = #{c58,jdbcType=DECIMAL},
      c59 = #{c59,jdbcType=DECIMAL},
      c60 = #{c60,jdbcType=DECIMAL}
    where id = #{id,jdbcType=INTEGER}
  </update>
</mapper>